Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.action
Class ActionForward

    java.lang.Object
      |
      +--org.apache.struts.config.ForwardConfig
            |
            +--org.apache.struts.action.ActionForward

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  ForwardingActionForward, RedirectingActionForward

public class ActionForward
extends ForwardConfig

An ActionForward represents a destination to which the controller servlet, `ActionServlet`, might be directed to perform a `RequestDispatcher.forward()` or `HttpServletResponse.sendRedirect()` to, as a result of processing activities of an `Action` class. Instances of this class may be created dynamically as necessary, or configured in association with an `ActionMapping` instance for named lookup of potentially multiple destinations for a particular mapping instance.

An `ActionForward` has the following minimal set of properties. Additional properties can be provided as needed by subclassses.

- contextRelative - Should the `path` value be interpreted as context-relative (instead of module-relative, if it starts with a '/' character? [false]
- name - Logical name by which this instance may be looked up in relationship to a particular `ActionMapping`.
- path - Module-relative or context-relative URI to which control should be forwarded, or an absolute or relative URI to which control should be redirected.
- redirect - Set to `true` if the controller servlet should call `HttpServletResponse.sendRedirect()` on the associated path; otherwise `false`. [false]

Since Struts 1.1 this class extends `ForwardConfig` and inherits the `contextRelative` property.

NOTE - This class would have been deprecated and replaced by `org.apache.struts.config.ForwardConfig` except for the fact that it is part of the public API that existing applications are using.

Version:
  $Revision: 1.1 $ $Date: 2003/08/22 08:14:18 $
Author:
  Craig R. McClanahan
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.struts.config.ForwardConfig
`configured, contextRelative, name, path, redirect`

Constructor Summary
`ActionForward()` Construct a new instance with default values.
`ActionForward(java.lang.String path)` Construct a new instance with the specified path.
`ActionForward(java.lang.String path, boolean redirect)` Construct a new instance with the specified path and redirect flag.
`ActionForward(java.lang.String name, java.lang.String path, boolean redirect)` Construct a new instance with the specified path and redirect flag.
`ActionForward(java.lang.String name, java.lang.String path, boolean redirect, boolean contextRelative)` Construct a new instance with the specified values.

Methods inherited from class org.apache.struts.config.ForwardConfig
`freeze, getContextRelative, getName, getPath, getRedirect, setContextRelative, setName, setPath, setRedirect, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ActionForward

    public ActionForward()

  Construct a new instance with default values.

### ActionForward

    public ActionForward(java.lang.String path)

  Construct a new instance with the specified path.

Parameters:
  `path` - Path for this instance

### ActionForward

    public ActionForward(java.lang.String path,
                         boolean redirect)

  Construct a new instance with the specified path and redirect flag.

Parameters:
  `path` - Path for this instance
  `redirect` - Redirect flag for this instance

### ActionForward

    public ActionForward(java.lang.String name,
                         java.lang.String path,
                         boolean redirect)

  Construct a new instance with the specified path and redirect flag.

Parameters:
  `name` - Name of this instance
  `path` - Path for this instance
  `redirect` - Redirect flag for this instance

### ActionForward

    public ActionForward(java.lang.String name,
                         java.lang.String path,
                         boolean redirect,
                         boolean contextRelative)

  Construct a new instance with the specified values.

Parameters:
  `name` - Name of this instance
  `path` - Path for this instance
  `redirect` - Redirect flag for this instance
  `contextRelative` - Context relative flag for this instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 - Apache Software Foundation